Bug 1351536 - [RFE] Don't communicate via DBus when daemon = 0
Summary: [RFE] Don't communicate via DBus when daemon = 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Tereza Cerna
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-30 09:19 UTC by Tereza Cerna
Modified: 2016-11-04 07:28 UTC (History)
2 users (show)

Fixed In Version: tuned-2.7.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:28:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2479 normal SHIPPED_LIVE tuned bug fix and enhancement update 2016-11-03 14:08:42 UTC

Description Tereza Cerna 2016-06-30 09:19:38 UTC
Description of problem:
=======================
When no daemon is in configuration file, it is useless to try communicate via DBus.

Version-Release number of selected component (if applicable):
=============================================================
tuned-2.5.1-4.el7_2.3.noarch

How reproducible:
=================
always

Steps to Reproduce:
===================
# systemctl status tuned | grep Active
   Active: active (running) since Thu 2016-06-30 04:29:24 EDT; 8min ago
# cat /etc/tuned/tuned-main.conf | grep daemon
daemon = 0
# systemctl restart tuned
# systemctl status tuned | grep Active
   Active: inactive (dead) since Thu 2016-06-30 05:10:13 EDT; 3s ago
# tuned-adm profile balanced
Cannot talk to Tuned daemon via DBus. Is Tuned daemon running?
Trying to (re)start tuned...
Tuned (re)started, changes applied.

Actual results:
===============
Tuned try to communicate via DBus

Expected results:
=================
When there is no daemon in configuration file, it can't communicate via dbus. So it can't try it, it is useless.

Comment 2 Jaroslav Škarvada 2016-07-14 16:07:34 UTC
It has been already implemented in the tuned-adm code, but unfortunately it didn't work due to silly typo in the code.

Fixed by the following upstream commit:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=b70a93dd8aea23759a5b273d4f36cdf4cdbb6ea9

Comment 3 Jaroslav Škarvada 2016-07-14 16:11:42 UTC
And also optimization of the check code:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=e9c8815c0e172fdf06aa71d419e7d4a15eb83726

Comment 7 errata-xmlrpc 2016-11-04 07:28:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2479.html


Note You need to log in before you can comment on or make changes to this bug.